org.apache.ode.bpel.o

## Class OReply

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OReply

- All Implemented Interfaces:
    java.io.Serializable

      public class OReply
      extends OActivity

  Compiled representation of the BPEL `<reply>` activity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<OScope.CorrelationSet>` | `assertCorrelations` Correlation sets asserted.
    `javax.xml.namespace.QName` | `fault` The type of the fault (if isFaultReply).
    `java.util.List<OScope.CorrelationSet>` | `initCorrelations` Correlation sets initialized.
    `boolean` | `isFaultReply` Is this a Fault reply?
    `java.util.List<OScope.CorrelationSet>` | `joinCorrelations` Correlation sets joined.
    `java.lang.String` | `messageExchangeId` OASIS modification - Message Exchange Id.
    `javax.wsdl.Operation` | `operation`
    `OPartnerLink` | `partnerLink`
    `OScope.Variable` | `variable`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OReply(OProcess owner, OActivity parent)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling, toString`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### isFaultReply

          public boolean isFaultReply

      Is this a Fault reply?

    - #### fault

          public javax.xml.namespace.QName fault

      The type of the fault (if isFaultReply).

    - #### partnerLink

          public OPartnerLink partnerLink

    - #### operation

          public javax.wsdl.Operation operation

    - #### variable

          public OScope.Variable variable

    - #### initCorrelations

          public final java.util.List<OScope.CorrelationSet> initCorrelations

      Correlation sets initialized.

    - #### assertCorrelations

          public final java.util.List<OScope.CorrelationSet> assertCorrelations

      Correlation sets asserted.

    - #### joinCorrelations

          public final java.util.List<OScope.CorrelationSet> joinCorrelations

      Correlation sets joined.

    - #### messageExchangeId

          public java.lang.String messageExchangeId

      OASIS modification - Message Exchange Id.

  - ### Constructor Detail

    - #### OReply

          public OReply(OProcess owner,
                        OActivity parent)